For the complete documentation index, see llms.txt. This page is also available as Markdown.

Avoirs

Créez des avoirs depuis une facture, un acompte ou de zéro, puis finalisez-les.

Un avoir est un document de facturation qui annule ou rembourse tout ou partie d'une facture ou d'un acompte. Comme les autres documents, il est associé à un client (contact, organisation ou contact d'organisation) et contient des lignes ainsi que des informations générales.

Un avoir créé est dans un état brouillon (draft) tant qu'il n'a pas été finalisé. Une fois finalisé, il reçoit un numéro officiel et ne peut plus être modifié.

Créer un avoir depuis une facture

Crée un avoir en brouillon rattaché à la facture d'origine. Les lignes de la facture sont reprises et ajustées au prorata du montant restant dû (les acomptes déjà émis sont déduits) : sans acompte, l'avoir couvre 100 % de la facture.

Create asset from invoice

post
Autorisations
AuthorizationstringRequis
Bearer authentication header of the form Bearer <token>.
Paramètres de chemin
invoiceIdstringRequis

ID of the invoice to create asset from

Réponses
200

Asset created successfully

application/json
idstringRequisExample: 123e4567-e89b-12d3-a456-426614174000
numberstringOptionnelExample: INV-2023-001
titlestringOptionnel

Title of the billing document

Example: Invoice Title
typenumber · enumRequisValeurs possibles:
statestring · enumRequisValeurs possibles:
localestring · enumRequisValeurs possibles:
emittedAtnumberRequisExample: 1617187200
archivedAtnumberOptionnelExample: 1617360000
lockedbooleanOptionnelExample: false
finalizablebooleanRequisExample: true
testbooleanRequis
isEditablebooleanRequisExample: true
currencyCodestring · enumRequis

Preferred currency of the customer

Valeurs possibles:
lastDownloadAtnumberOptionnelExample: 1617619200
createdAtnumberRequisExample: 1617619200
updatedAtnumberRequisExample: 1617619200
deliveryDatenumberOptionnelExample: 1619865600
compatibilityVersionstring · enumRequisValeurs possibles:
isDeletablebooleanRequisExample: false
displayDeliveryAddressbooleanRequisExample: true
finalizedAtnumberOptionnelExample: 1617619200
lastSendByEmailAtnumberOptionnelExample: 1617619200
themeIdstringOptionnel

ID of the theme applied to this document when set

Example: 123e4567-e89b-12d3-a456-426614174000
parentone ofOptionnel
ou
refundAtnumberOptionnelExample: 1617187200
dueAtnumberOptionnelExample: 1619865600
paymentDelaystring · enumRequisValeurs possibles:
includeDiscountDisbursementbooleanRequisExample: true
post/v2/billing/invoice/{invoiceId}/asset
POST /v2/billing/invoice/{invoiceId}/asset HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "number": "INV-2023-001",
  "title": "Invoice Title",
  "type": "invoice",
  "state": "paid",
  "customer": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "legacyId": "123e4567",
    "currency": "EUR",
    "firstname": "John",
    "lastname": "Doe",
    "phoneNumber": "+33 6 12 34 56 78",
    "emails": [
      "john.doe@example.com"
    ],
    "billingAddress": {
      "line1": "10 Rue Lecourbe",
      "line2": "Apartment 4B",
      "city": "Paris",
      "zipCode": "75015",
      "country": "FR"
    },
    "deliveryAddress": {
      "line1": "10 Rue Lecourbe",
      "line2": "Apartment 4B",
      "city": "Paris",
      "zipCode": "75015",
      "country": "FR"
    },
    "deliveryAddressIsSame": true,
    "language": "fr",
    "name": "John Doe",
    "commercialName": "Doe Enterprises",
    "siren": "123 456 789",
    "siret": "123 456 789 00012",
    "nafCode": "62.02A",
    "vatNumber": "FR12345678900",
    "token": "863aadf3-3cbe-4ba6-ad01-5c3edb05a669",
    "parent": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "legacyId": "123e4567",
      "currency": "EUR",
      "firstname": "John",
      "lastname": "Doe",
      "phoneNumber": "+33 6 12 34 56 78",
      "emails": [
        "john.doe@example.com"
      ],
      "billingAddress": {
        "line1": "10 Rue Lecourbe",
        "line2": "Apartment 4B",
        "city": "Paris",
        "zipCode": "75015",
        "country": "FR"
      },
      "deliveryAddress": {
        "line1": "10 Rue Lecourbe",
        "line2": "Apartment 4B",
        "city": "Paris",
        "zipCode": "75015",
        "country": "FR"
      },
      "deliveryAddressIsSame": true,
      "language": "fr",
      "name": "John Doe",
      "commercialName": "Doe Enterprises",
      "siren": "123 456 789",
      "siret": "123 456 789 00012",
      "nafCode": "62.02A",
      "vatNumber": "FR12345678900",
      "token": "863aadf3-3cbe-4ba6-ad01-5c3edb05a669",
      "parent": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "legacyId": "123e4567",
        "currency": "EUR",
        "firstname": "John",
        "lastname": "Doe",
        "phoneNumber": "+33 6 12 34 56 78",
        "emails": [
          "john.doe@example.com"
        ],
        "billingAddress": {
          "line1": "10 Rue Lecourbe",
          "line2": "Apartment 4B",
          "city": "Paris",
          "zipCode": "75015",
          "country": "FR"
        },
        "deliveryAddress": {
          "line1": "10 Rue Lecourbe",
          "line2": "Apartment 4B",
          "city": "Paris",
          "zipCode": "75015",
          "country": "FR"
        },
        "deliveryAddressIsSame": true,
        "language": "fr",
        "name": "John Doe",
        "commercialName": "Doe Enterprises",
        "siren": "123 456 789",
        "siret": "123 456 789 00012",
        "nafCode": "62.02A",
        "vatNumber": "FR12345678900",
        "token": "863aadf3-3cbe-4ba6-ad01-5c3edb05a669",
        "parent": "[Circular Reference]",
        "contactId": "123e4567-e89b-12d3-a456-426614174001",
        "organizationId": "123e4567-e89b-12d3-a456-426614174002",
        "isDefault": true,
        "test": false
      },
      "contactId": "123e4567-e89b-12d3-a456-426614174001",
      "organizationId": "123e4567-e89b-12d3-a456-426614174002",
      "isDefault": true,
      "test": false
    },
    "contactId": "123e4567-e89b-12d3-a456-426614174001",
    "organizationId": "123e4567-e89b-12d3-a456-426614174002",
    "isDefault": true,
    "test": false
  },
  "locale": "fr",
  "emittedAt": 1617187200,
  "archivedAt": 1617360000,
  "opportunity": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "Big Sale Opportunity"
  },
  "locked": false,
  "finalizable": true,
  "test": true,
  "isEditable": true,
  "currencyCode": "EUR",
  "currency": {
    "currencyCode": "EUR",
    "currencyDate": 1617187200,
    "currencyRate": 1.2,
    "origin": "ECB"
  },
  "lastDownloadAt": 1617619200,
  "attachments": [
    {
      "id": "text",
      "name": "text",
      "extension": "text",
      "mimeType": "text",
      "url": "text",
      "relativeUrl": "text",
      "isCertified": true,
      "isCertifiable": true
    }
  ],
  "finalizeRequirements": [
    {
      "name": "hasValidAmount",
      "message": "Le montant de la somme des avoirs ne peut pas être supérieur au montant total de la facture."
    }
  ],
  "warnings": [
    {
      "title": "Titre du warning.",
      "message": "Message de warning en français."
    }
  ],
  "emitter": {
    "name": "John Doe Enterprise",
    "fullName": "John Doe",
    "email": "john.doe@example.com",
    "phone": "+33 6 12 34 56 78",
    "commercialName": "Le magasin de John Doe",
    "siret": "12345678901234567890",
    "vatNumber": "FR12345678901234",
    "rcsNumber": "RCS Paris 552 100 554",
    "rsacNumber": "RSAC Paris 552 100 554",
    "legalStatus": "ei",
    "sapAgreementNumber": "SAP123456789",
    "hasVat": true
  },
  "bankInformation": {
    "bic": "12345678901234567890",
    "iban": "12345678901234567890",
    "holder": "John Doe"
  },
  "billingLegals": {
    "headerNote": "Header note",
    "footerNote": "Footer note",
    "generalTermsAndConditionsOfSale": "General terms and conditions",
    "mentionMediator": "Mention mediateur",
    "vatMention": "not_subject",
    "paymentMethods": [
      "credit_card",
      "direct_debit"
    ],
    "otherPaymentMethod": "Lydia"
  },
  "createdAt": 1617619200,
  "updatedAt": 1617619200,
  "deliveryDate": 1619865600,
  "compatibilityVersion": "V2",
  "isDeletable": false,
  "displayDeliveryAddress": true,
  "finalizedAt": 1617619200,
  "lastSendByEmailAt": 1617619200,
  "themeId": "123e4567-e89b-12d3-a456-426614174000",
  "lines": [
    {
      "generatedId": "123e4567-e89b-12d3-a456-426614174000",
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "unitPrice": 50,
      "unitPriceHT": 50,
      "productId": "123e4567-e89b-12d3-a456-426614174000",
      "quantity": 2,
      "quantityUnit": "hour",
      "designation": "Consulting Services",
      "reference": "CONS-001",
      "description": "Detailed description of the service",
      "isDeliveryOfGoods": true,
      "type": "commercial_or_craft_services",
      "vatCode": "FR_2000",
      "personalServiceActivity": "BRICOLAGE",
      "priceWithoutTaxBeforeDiscount": 100,
      "discountAmount": 1000,
      "discount": {
        "amount": 1000,
        "mode": "PERCENTAGE"
      },
      "priceWithoutTaxAfterDiscount": 90,
      "vatAmount": 18,
      "priceTotalTax": 108,
      "convertedAmounts": {
        "priceWithoutTaxBeforeDiscount": 100,
        "discountAmount": 10,
        "priceWithoutTaxAfterDiscount": 90,
        "vatAmount": 18,
        "priceTotalTax": 108
      },
      "isTaxIncluded": false
    }
  ],
  "total": {
    "amountWithoutTaxBeforeDiscount": 1100,
    "amountWithoutTaxAfterDiscount": 1000,
    "amountWithTaxAfterDiscount": 1200,
    "remainingAmountWithoutTax": 500,
    "remainingAmountWithTax": 600,
    "remainingReconciliateAmount": 600,
    "discountAmount": 100,
    "vatDetails": [
      {
        "vatCode": "FR_2000",
        "amount": 200,
        "vatRate": 20
      }
    ],
    "amountWithoutTaxBeforeDiscountWithoutDisbursement": 100,
    "convertedAmounts": {
      "amountWithoutTaxBeforeDiscount": 1100,
      "amountWithoutTaxAfterDiscount": 1000,
      "amountWithTaxAfterDiscount": 1200,
      "remainingAmountWithoutTax": 500,
      "remainingAmountWithTax": 600,
      "remainingReconciliateAmount": 600,
      "discountAmount": 100,
      "vatDetails": [
        {
          "vatCode": "FR_2000",
          "amount": 200,
          "vatRate": 20
        }
      ],
      "amountWithoutTaxBeforeDiscountWithoutDisbursement": 100
    }
  },
  "discount": {
    "mode": "PERCENTAGE",
    "amount": 1000
  },
  "parent": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "number": "INV-2023-001",
    "title": "Invoice Title",
    "type": "invoice",
    "state": "paid",
    "customer": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "legacyId": "123e4567",
      "currency": "EUR",
      "firstname": "John",
      "lastname": "Doe",
      "phoneNumber": "+33 6 12 34 56 78",
      "emails": [
        "john.doe@example.com"
      ],
      "billingAddress": {
        "line1": "10 Rue Lecourbe",
        "line2": "Apartment 4B",
        "city": "Paris",
        "zipCode": "75015",
        "country": "FR"
      },
      "deliveryAddress": {
        "line1": "10 Rue Lecourbe",
        "line2": "Apartment 4B",
        "city": "Paris",
        "zipCode": "75015",
        "country": "FR"
      },
      "deliveryAddressIsSame": true,
      "language": "fr",
      "name": "John Doe",
      "commercialName": "Doe Enterprises",
      "siren": "123 456 789",
      "siret": "123 456 789 00012",
      "nafCode": "62.02A",
      "vatNumber": "FR12345678900",
      "token": "863aadf3-3cbe-4ba6-ad01-5c3edb05a669",
      "parent": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "legacyId": "123e4567",
        "currency": "EUR",
        "firstname": "John",
        "lastname": "Doe",
        "phoneNumber": "+33 6 12 34 56 78",
        "emails": [
          "john.doe@example.com"
        ],
        "billingAddress": {
          "line1": "10 Rue Lecourbe",
          "line2": "Apartment 4B",
          "city": "Paris",
          "zipCode": "75015",
          "country": "FR"
        },
        "deliveryAddress": {
          "line1": "10 Rue Lecourbe",
          "line2": "Apartment 4B",
          "city": "Paris",
          "zipCode": "75015",
          "country": "FR"
        },
        "deliveryAddressIsSame": true,
        "language": "fr",
        "name": "John Doe",
        "commercialName": "Doe Enterprises",
        "siren": "123 456 789",
        "siret": "123 456 789 00012",
        "nafCode": "62.02A",
        "vatNumber": "FR12345678900",
        "token": "863aadf3-3cbe-4ba6-ad01-5c3edb05a669",
        "parent": {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "legacyId": "123e4567",
          "currency": "EUR",
          "firstname": "John",
          "lastname": "Doe",
          "phoneNumber": "+33 6 12 34 56 78",
          "emails": [
            "john.doe@example.com"
          ],
          "billingAddress": {
            "line1": "10 Rue Lecourbe",
            "line2": "Apartment 4B",
            "city": "Paris",
            "zipCode": "75015",
            "country": "FR"
          },
          "deliveryAddress": {
            "line1": "10 Rue Lecourbe",
            "line2": "Apartment 4B",
            "city": "Paris",
            "zipCode": "75015",
            "country": "FR"
          },
          "deliveryAddressIsSame": true,
          "language": "fr",
          "name": "John Doe",
          "commercialName": "Doe Enterprises",
          "siren": "123 456 789",
          "siret": "123 456 789 00012",
          "nafCode": "62.02A",
          "vatNumber": "FR12345678900",
          "token": "863aadf3-3cbe-4ba6-ad01-5c3edb05a669",
          "parent": "[Circular Reference]",
          "contactId": "123e4567-e89b-12d3-a456-426614174001",
          "organizationId": "123e4567-e89b-12d3-a456-426614174002",
          "isDefault": true,
          "test": false
        },
        "contactId": "123e4567-e89b-12d3-a456-426614174001",
        "organizationId": "123e4567-e89b-12d3-a456-426614174002",
        "isDefault": true,
        "test": false
      },
      "contactId": "123e4567-e89b-12d3-a456-426614174001",
      "organizationId": "123e4567-e89b-12d3-a456-426614174002",
      "isDefault": true,
      "test": false
    },
    "locale": "fr",
    "emittedAt": 1617187200,
    "archivedAt": 1617360000,
    "opportunity": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "Big Sale Opportunity"
    },
    "locked": false,
    "finalizable": true,
    "test": true,
    "isEditable": true,
    "currencyCode": "EUR",
    "currency": {
      "currencyCode": "EUR",
      "currencyDate": 1617187200,
      "currencyRate": 1.2,
      "origin": "ECB"
    },
    "lastDownloadAt": 1617619200,
    "attachments": [
      {
        "id": "text",
        "name": "text",
        "extension": "text",
        "mimeType": "text",
        "url": "text",
        "relativeUrl": "text",
        "isCertified": true,
        "isCertifiable": true
      }
    ],
    "finalizeRequirements": [
      {
        "name": "hasValidAmount",
        "message": "Le montant de la somme des avoirs ne peut pas être supérieur au montant total de la facture."
      }
    ],
    "warnings": [
      {
        "title": "Titre du warning.",
        "message": "Message de warning en français."
      }
    ],
    "emitter": {
      "name": "John Doe Enterprise",
      "fullName": "John Doe",
      "email": "john.doe@example.com",
      "phone": "+33 6 12 34 56 78",
      "commercialName": "Le magasin de John Doe",
      "siret": "12345678901234567890",
      "vatNumber": "FR12345678901234",
      "rcsNumber": "RCS Paris 552 100 554",
      "rsacNumber": "RSAC Paris 552 100 554",
      "legalStatus": "ei",
      "sapAgreementNumber": "SAP123456789",
      "hasVat": true
    },
    "bankInformation": {
      "bic": "12345678901234567890",
      "iban": "12345678901234567890",
      "holder": "John Doe"
    },
    "billingLegals": {
      "headerNote": "Header note",
      "footerNote": "Footer note",
      "generalTermsAndConditionsOfSale": "General terms and conditions",
      "mentionMediator": "Mention mediateur",
      "vatMention": "not_subject",
      "paymentMethods": [
        "credit_card",
        "direct_debit"
      ],
      "otherPaymentMethod": "Lydia"
    },
    "createdAt": 1617619200,
    "updatedAt": 1617619200,
    "deliveryDate": 1619865600,
    "compatibilityVersion": "V2",
    "isDeletable": false,
    "displayDeliveryAddress": true,
    "finalizedAt": 1617619200,
    "lastSendByEmailAt": 1617446400,
    "themeId": "123e4567-e89b-12d3-a456-426614174000",
    "paymentDelay": "at_reception",
    "dueAt": 1619865600,
    "paidAt": 1617273600,
    "lastReminderSentAt": 1617532800,
    "isReminderActivated": true,
    "isOnlinePaymentActivated": true,
    "isFinalInvoice": true,
    "lines": [
      {
        "generatedId": "123e4567-e89b-12d3-a456-426614174000",
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "unitPrice": 50,
        "unitPriceHT": 50,
        "productId": "123e4567-e89b-12d3-a456-426614174000",
        "quantity": 2,
        "quantityUnit": "hour",
        "designation": "Consulting Services",
        "reference": "CONS-001",
        "description": "Detailed description of the service",
        "isDeliveryOfGoods": true,
        "type": "commercial_or_craft_services",
        "vatCode": "FR_2000",
        "personalServiceActivity": "BRICOLAGE",
        "priceWithoutTaxBeforeDiscount": 100,
        "discountAmount": 1000,
        "discount": {
          "amount": 1000,
          "mode": "PERCENTAGE"
        },
        "priceWithoutTaxAfterDiscount": 90,
        "vatAmount": 18,
        "priceTotalTax": 108,
        "convertedAmounts": {
          "priceWithoutTaxBeforeDiscount": 100,
          "discountAmount": 10,
          "priceWithoutTaxAfterDiscount": 90,
          "vatAmount": 18,
          "priceTotalTax": 108
        },
        "isTaxIncluded": false
      }
    ],
    "total": {
      "amountWithoutTaxBeforeDiscount": 1100,
      "amountWithoutTaxAfterDiscount": 1000,
      "amountWithTaxAfterDiscount": 1200,
      "remainingAmountWithoutTax": 500,
      "remainingAmountWithTax": 600,
      "remainingReconciliateAmount": 600,
      "discountAmount": 100,
      "vatDetails": [
        {
          "vatCode": "FR_2000",
          "amount": 200,
          "vatRate": 20
        }
      ],
      "amountWithoutTaxBeforeDiscountWithoutDisbursement": 100,
      "convertedAmounts": {
        "amountWithoutTaxBeforeDiscount": 1100,
        "amountWithoutTaxAfterDiscount": 1000,
        "amountWithTaxAfterDiscount": 1200,
        "remainingAmountWithoutTax": 500,
        "remainingAmountWithTax": 600,
        "remainingReconciliateAmount": 600,
        "discountAmount": 100,
        "vatDetails": [
          {
            "vatCode": "FR_2000",
            "amount": 200,
            "vatRate": 20
          }
        ],
        "amountWithoutTaxBeforeDiscountWithoutDisbursement": 100
      }
    },
    "reminder": {
      "inCopy": true,
      "frequency": "every_week",
      "numberOfRemindersToSend": 3,
      "active": true,
      "recipients": [
        "text"
      ]
    },
    "discount": {
      "mode": "PERCENTAGE",
      "amount": 1000
    },
    "latePenalty": {
      "value": "three_time_legal_rate",
      "otherValue": "Trois fois le taux actuel en vigueur soit 6,2 %"
    },
    "lumpSumCompensation": {
      "value": "forty_euros",
      "otherValue": "Indemnité forfaitaire de 40€"
    },
    "discountAdvancePayment": {
      "value": "none",
      "otherValue": "Autre"
    },
    "displaySettings": {
      "displayFullName": true,
      "displayEmail": true,
      "displayPhoneNumber": true,
      "displaySAPAgreement": true,
      "displayLegalStatus": true,
      "displayRequiredMentionsProduct": true,
      "displayMemberOfAnApprovedAssociation": true,
      "displayAbbyLogo": true,
      "displayTitle": true,
      "displayGoodForApproval": true,
      "displayEstimateNumber": true
    },
    "paymentRequest": {
      "idDemandePaiement": "123e4567-e89b-12d3-a456-426614174000",
      "dateDebutEmploi": 1736408178,
      "dateFinEmploi": 1736408178,
      "dateVirement": 1736408178,
      "advanceAlreadyPayed": "400",
      "advancePaymentDate": 1736408178,
      "mntVirement": "1200",
      "statut": "112"
    },
    "parent": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "number": "INV-2023-001",
      "title": "Invoice Title",
      "type": "invoice",
      "state": "paid",
      "customer": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "legacyId": "123e4567",
        "currency": "EUR",
        "firstname": "John",
        "lastname": "Doe",
        "phoneNumber": "+33 6 12 34 56 78",
        "emails": [
          "john.doe@example.com"
        ],
        "billingAddress": {
          "line1": "10 Rue Lecourbe",
          "line2": "Apartment 4B",
          "city": "Paris",
          "zipCode": "75015",
          "country": "FR"
        },
        "deliveryAddress": {
          "line1": "10 Rue Lecourbe",
          "line2": "Apartment 4B",
          "city": "Paris",
          "zipCode": "75015",
          "country": "FR"
        },
        "deliveryAddressIsSame": true,
        "language": "fr",
        "name": "John Doe",
        "commercialName": "Doe Enterprises",
        "siren": "123 456 789",
        "siret": "123 456 789 00012",
        "nafCode": "62.02A",
        "vatNumber": "FR12345678900",
        "token": "863aadf3-3cbe-4ba6-ad01-5c3edb05a669",
        "parent": {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "legacyId": "123e4567",
          "currency": "EUR",
          "firstname": "John",
          "lastname": "Doe",
          "phoneNumber": "+33 6 12 34 56 78",
          "emails": [
            "john.doe@example.com"
          ],
          "billingAddress": {
            "line1": "10 Rue Lecourbe",
            "line2": "Apartment 4B",
            "city": "Paris",
            "zipCode": "75015",
            "country": "FR"
          },
          "deliveryAddress": {
            "line1": "10 Rue Lecourbe",
            "line2": "Apartment 4B",
            "city": "Paris",
            "zipCode": "75015",
            "country": "FR"
          },
          "deliveryAddressIsSame": true,
          "language": "fr",
          "name": "John Doe",
          "commercialName": "Doe Enterprises",
          "siren": "123 456 789",
          "siret": "123 456 789 00012",
          "nafCode": "62.02A",
          "vatNumber": "FR12345678900",
          "token": "863aadf3-3cbe-4ba6-ad01-5c3edb05a669",
          "parent": {
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "legacyId": "123e4567",
            "currency": "EUR",
            "firstname": "John",
            "lastname": "Doe",
            "phoneNumber": "+33 6 12 34 56 78",
            "emails": [
              "john.doe@example.com"
            ],
            "billingAddress": {
              "line1": "10 Rue Lecourbe",
              "line2": "Apartment 4B",
              "city": "Paris",
              "zipCode": "75015",
              "country": "FR"
            },
            "deliveryAddress": {
              "line1": "10 Rue Lecourbe",
              "line2": "Apartment 4B",
              "city": "Paris",
              "zipCode": "75015",
              "country": "FR"
            },
            "deliveryAddressIsSame": true,
            "language": "fr",
            "name": "John Doe",
            "commercialName": "Doe Enterprises",
            "siren": "123 456 789",
            "siret": "123 456 789 00012",
            "nafCode": "62.02A",
            "vatNumber": "FR12345678900",
            "token": "863aadf3-3cbe-4ba6-ad01-5c3edb05a669",
            "parent": "[Circular Reference]",
            "contactId": "123e4567-e89b-12d3-a456-426614174001",
            "organizationId": "123e4567-e89b-12d3-a456-426614174002",
            "isDefault": true,
            "test": false
          },
          "contactId": "123e4567-e89b-12d3-a456-426614174001",
          "organizationId": "123e4567-e89b-12d3-a456-426614174002",
          "isDefault": true,
          "test": false
        },
        "contactId": "123e4567-e89b-12d3-a456-426614174001",
        "organizationId": "123e4567-e89b-12d3-a456-426614174002",
        "isDefault": true,
        "test": false
      },
      "locale": "fr",
      "emittedAt": 1617187200,
      "archivedAt": 1617360000,
      "opportunity": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "Big Sale Opportunity"
      },
      "locked": false,
      "finalizable": true,
      "test": true,
      "isEditable": true,
      "currencyCode": "EUR",
      "currency": {
        "currencyCode": "EUR",
        "currencyDate": 1617187200,
        "currencyRate": 1.2,
        "origin": "ECB"
      },
      "lastDownloadAt": 1617619200,
      "attachments": [
        {
          "id": "text",
          "name": "text",
          "extension": "text",
          "mimeType": "text",
          "url": "text",
          "relativeUrl": "text",
          "isCertified": true,
          "isCertifiable": true
        }
      ],
      "finalizeRequirements": [
        {
          "name": "hasValidAmount",
          "message": "Le montant de la somme des avoirs ne peut pas être supérieur au montant total de la facture."
        }
      ],
      "warnings": [
        {
          "title": "Titre du warning.",
          "message": "Message de warning en français."
        }
      ],
      "emitter": {
        "name": "John Doe Enterprise",
        "fullName": "John Doe",
        "email": "john.doe@example.com",
        "phone": "+33 6 12 34 56 78",
        "commercialName": "Le magasin de John Doe",
        "siret": "12345678901234567890",
        "vatNumber": "FR12345678901234",
        "rcsNumber": "RCS Paris 552 100 554",
        "rsacNumber": "RSAC Paris 552 100 554",
        "legalStatus": "ei",
        "sapAgreementNumber": "SAP123456789",
        "hasVat": true
      },
      "bankInformation": {
        "bic": "12345678901234567890",
        "iban": "12345678901234567890",
        "holder": "John Doe"
      },
      "billingLegals": {
        "headerNote": "Header note",
        "footerNote": "Footer note",
        "generalTermsAndConditionsOfSale": "General terms and conditions",
        "mentionMediator": "Mention mediateur",
        "vatMention": "not_subject",
        "paymentMethods": [
          "credit_card",
          "direct_debit"
        ],
        "otherPaymentMethod": "Lydia"
      },
      "createdAt": 1617619200,
      "updatedAt": 1617619200,
      "deliveryDate": 1617619200,
      "compatibilityVersion": "V2",
      "isDeletable": true,
      "displayDeliveryAddress": true,
      "finalizedAt": 1617619200,
      "lastSendByEmailAt": 1617446400,
      "themeId": "123e4567-e89b-12d3-a456-426614174000",
      "paymentDelay": "at_reception",
      "expiredAt": 1619865600,
      "refusedAt": 1619865600,
      "signedAt": 1619865600,
      "lines": [
        {
          "generatedId": "123e4567-e89b-12d3-a456-426614174000",
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "unitPrice": 50,
          "unitPriceHT": 50,
          "productId": "123e4567-e89b-12d3-a456-426614174000",
          "quantity": 2,
          "quantityUnit": "hour",
          "designation": "Consulting Services",
          "reference": "CONS-001",
          "description": "Detailed description of the service",
          "isDeliveryOfGoods": true,
          "type": "commercial_or_craft_services",
          "vatCode": "FR_2000",
          "personalServiceActivity": "BRICOLAGE",
          "priceWithoutTaxBeforeDiscount": 100,
          "discountAmount": 1000,
          "discount": {
            "amount": 1000,
            "mode": "PERCENTAGE"
          },
          "priceWithoutTaxAfterDiscount": 90,
          "vatAmount": 18,
          "priceTotalTax": 108,
          "convertedAmounts": {
            "priceWithoutTaxBeforeDiscount": 100,
            "discountAmount": 10,
            "priceWithoutTaxAfterDiscount": 90,
            "vatAmount": 18,
            "priceTotalTax": 108
          },
          "isTaxIncluded": false
        }
      ],
      "total": {
        "amountWithoutTaxBeforeDiscount": 1100,
        "amountWithoutTaxAfterDiscount": 1000,
        "amountWithTaxAfterDiscount": 1200,
        "remainingAmountWithoutTax": 500,
        "remainingAmountWithTax": 600,
        "remainingAmountToBill": 600,
        "vatDetails": [
          {
            "vatCode": "FR_2000",
            "amount": 200,
            "vatRate": 20
          }
        ],
        "discountAmount": 100,
        "convertedAmounts": {
          "amountWithoutTaxBeforeDiscount": 1100,
          "amountWithoutTaxAfterDiscount": 1000,
          "amountWithTaxAfterDiscount": 1200,
          "remainingAmountWithoutTax": 500,
          "remainingAmountWithTax": 600,
          "remainingAmountToBill": 600,
          "vatDetails": [
            {
              "vatCode": "FR_2000",
              "amount": 200,
              "vatRate": 20
            }
          ],
          "discountAmount": 100,
          "billedAmountWithoutTax": 100,
          "billedAmountWithTax": 100,
          "remainingAmountWithoutTaxWithoutDisbursement": 100,
          "amountWithoutTaxBeforeDiscountWithoutDisbursement": 100
        },
        "billedAmountWithoutTax": 100,
        "billedAmountWithTax": 100,
        "amountWithoutTaxBeforeDiscountWithoutDisbursement": 100,
        "remainingAmountWithoutTaxWithoutDisbursement": 100
      },
      "discount": {
        "mode": "PERCENTAGE",
        "amount": 1000
      },
      "latePenalty": {
        "value": "three_time_legal_rate",
        "otherValue": "Trois fois le taux actuel en vigueur soit 6,2 %"
      },
      "lumpSumCompensation": {
        "value": "forty_euros",
        "otherValue": "Indemnité forfaitaire de 40€"
      },
      "discountAdvancePayment": {
        "value": "none",
        "otherValue": "Autre"
      },
      "displaySettings": {
        "displayFullName": true,
        "displayEmail": true,
        "displayPhoneNumber": true,
        "displaySAPAgreement": true,
        "displayLegalStatus": true,
        "displayRequiredMentionsProduct": true,
        "displayGoodForApproval": true,
        "displayMemberOfAnApprovedAssociation": true,
        "displayAbbyLogo": true,
        "displayTitle": true
      },
      "advances": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "number": "INV-2023-001",
          "title": "Invoice Title",
          "type": "invoice",
          "state": "paid",
          "customer": "[Circular Reference]",
          "locale": "fr",
          "emittedAt": 1617187200,
          "archivedAt": 1617360000,
          "opportunity": {
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "name": "Big Sale Opportunity"
          },
          "locked": false,
          "finalizable": true,
          "test": true,
          "isEditable": true,
          "currencyCode": "EUR",
          "currency": {
            "currencyCode": "EUR",
            "currencyDate": 1617187200,
            "currencyRate": 1.2,
            "origin": "ECB"
          },
          "lastDownloadAt": 1617619200,
          "attachments": [
            {
              "id": "text",
              "name": "text",
              "extension": "text",
              "mimeType": "text",
              "url": "text",
              "relativeUrl": "text",
              "isCertified": true,
              "isCertifiable": true
            }
          ],
          "finalizeRequirements": [
            {
              "name": "hasValidAmount",
              "message": "Le montant de la somme des avoirs ne peut pas être supérieur au montant total de la facture."
            }
          ],
          "warnings": [
            {
              "title": "Titre du warning.",
              "message": "Message de warning en français."
            }
          ],
          "emitter": {
            "name": "John Doe Enterprise",
            "fullName": "John Doe",
            "email": "john.doe@example.com",
            "phone": "+33 6 12 34 56 78",
            "commercialName": "Le magasin de John Doe",
            "siret": "12345678901234567890",
            "vatNumber": "FR12345678901234",
            "rcsNumber": "RCS Paris 552 100 554",
            "rsacNumber": "RSAC Paris 552 100 554",
            "legalStatus": "ei",
            "sapAgreementNumber": "SAP123456789",
            "hasVat": true
          },
          "bankInformation": {
            "bic": "12345678901234567890",
            "iban": "12345678901234567890",
            "holder": "John Doe"
          },
          "billingLegals": {
            "headerNote": "Header note",
            "footerNote": "Footer note",
            "generalTermsAndConditionsOfSale": "General terms and conditions",
            "mentionMediator": "Mention mediateur",
            "vatMention": "not_subject",
            "paymentMethods": [
              "credit_card",
              "direct_debit"
            ],
            "otherPaymentMethod": "Lydia"
          },
          "createdAt": 1617619200,
          "updatedAt": 1617619200,
          "deliveryDate": 1619865600,
          "compatibilityVersion": "V2",
          "isDeletable": false,
          "displayDeliveryAddress": true,
          "finalizedAt": 1617619200,
          "lastSendByEmailAt": 1617446400,
          "themeId": "123e4567-e89b-12d3-a456-426614174000",
          "paymentDelay": "at_reception",
          "dueAt": 1619865600,
          "paidAt": 1617273600,
          "lastReminderSentAt": 1617532800,
          "isReminderActivated": true,
          "designation": "Advance 10% of 1000€",
          "isOnlinePaymentActivated": true,
          "description": "Advance description",
          "total": {
            "amountWithoutTaxBeforeDiscount": 1100,
            "amountWithoutTaxAfterDiscount": 1000,
            "amountWithTaxAfterDiscount": 1200,
            "remainingAmountWithoutTax": 500,
            "remainingAmountWithTax": 600,
            "remainingReconciliateAmount": 600,
            "vatDetails": [
              {
                "vatCode": "FR_2000",
                "amount": 200,
                "vatRate": 20
              }
            ],
            "discountAmount": 100,
            "convertedAmounts": {
              "amountWithoutTaxBeforeDiscount": 1100,
              "amountWithoutTaxAfterDiscount": 1000,
              "amountWithTaxAfterDiscount": 1200,
              "remainingAmountWithoutTax": 500,
              "remainingAmountWithTax": 600,
              "remainingAmountToBill": 600,
              "vatDetails": [
                {
                  "vatCode": "FR_2000",
                  "amount": 200,
                  "vatRate": 20
                }
              ],
              "discountAmount": 100,
              "billedAmountWithoutTax": 100,
              "billedAmountWithTax": 100,
              "remainingAmountWithoutTaxWithoutDisbursement": 100,
              "amountWithoutTaxBeforeDiscountWithoutDisbursement": 100
            }
          },
          "discount": {
            "mode": "PERCENTAGE",
            "amount": 1000
          },
          "displaySettings": {
            "displayFullName": true,
            "displayEmail": true,
            "displayPhoneNumber": true,
            "displaySAPAgreement": true,
            "displayLegalStatus": true,
            "displayRequiredMentionsProduct": true,
            "displayGoodForApproval": true,
            "displayMemberOfAnApprovedAssociation": true,
            "displayAbbyLogo": true,
            "displayTitle": true
          },
          "parent": "[Circular Reference]",
          "advanceMode": "AMOUNT",
          "advancePercentage": 10,
          "advanceAmount": 1000,
          "reminder": {
            "inCopy": true,
            "frequency": "on_due_date",
            "numberOfRemindersToSend": 3,
            "active": true,
            "recipients": [
              "john.doe@example.com"
            ]
          },
          "latePenalty": {
            "value": "three_time_legal_rate",
            "otherValue": "Trois fois le taux actuel en vigueur soit 6,2 %"
          },
          "lumpSumCompensation": {
            "value": "forty_euros",
            "otherValue": "Indemnité forfaitaire de 40€"
          },
          "discountAdvancePayment": {
            "value": "none",
            "otherValue": "Autre"
          },
          "hasAssociatedTransaction": false,
          "includeDisbursement": true,
          "canceledAt": 1617619200
        }
      ],
      "advanceEstimateLines": {
        "advances": [
          {
            "value": 100,
            "mode": "AMOUNT",
            "paymentCondition": "ORDER"
          },
          {
            "value": 25,
            "mode": "PERCENTAGE",
            "paymentCondition": "SIGNATURE"
          }
        ],
        "totals": {
          "totalAmountWithoutTax": 350,
          "totalAmountWithTax": 350,
          "remainingTotalAmountWithoutTax": 350,
          "remainingTotalAmountWithTax": 350
        },
        "convertedTotals": {
          "totalAmountWithoutTax": 350,
          "totalAmountWithTax": 350,
          "remainingTotalAmountWithoutTax": 350,
          "remainingTotalAmountWithTax": 350
        }
      },
      "withElectronicSignature": true,
      "electronicSignature": {
        "id": "12345678901234567890",
        "canceledAt": 1617619200,
        "procedureId": "12345678901234567890",
        "magicLink": "https://magic-link.com",
        "signedAt": 1617619200,
        "refusedAt": 1617619200,
        "status": "requested"
      },
      "dueAt": 1619865600,
      "electronicSignatureRequirements": [
        {
          "name": "hasNonEmptyCustomerContact",
          "message": "Vous devez sélectionner un contact à votre organisation cliente pour pouvoir activer la signature en ligne."
        }
      ],
      "hasFinalInvoice": true,
      "includeDiscountDisbursement": true
    },
    "frequency": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "from": "text",
      "to": "text",
      "nextBillingAt": "text",
      "frequency": 1,
      "interval": "month",
      "finalizeInvoice": true,
      "sendByMail": true,
      "inCopy": true
    },
    "hasAssociatedTransaction": false,
    "includeDiscountDisbursement": true,
    "expiredAt": 1617619200,
    "canceledAt": 1617619200
  },
  "advances": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "number": "INV-2023-001",
      "title": "Invoice Title",
      "type": "invoice",
      "state": "paid",
      "customer": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "legacyId": "123e4567",
        "currency": "EUR",
        "firstname": "John",
        "lastname": "Doe",
        "phoneNumber": "+33 6 12 34 56 78",
        "emails": [
          "john.doe@example.com"
        ],
        "billingAddress": {
          "line1": "10 Rue Lecourbe",
          "line2": "Apartment 4B",
          "city": "Paris",
          "zipCode": "75015",
          "country": "FR"
        },
        "deliveryAddress": {
          "line1": "10 Rue Lecourbe",
          "line2": "Apartment 4B",
          "city": "Paris",
          "zipCode": "75015",
          "country": "FR"
        },
        "deliveryAddressIsSame": true,
        "language": "fr",
        "name": "John Doe",
        "commercialName": "Doe Enterprises",
        "siren": "123 456 789",
        "siret": "123 456 789 00012",
        "nafCode": "62.02A",
        "vatNumber": "FR12345678900",
        "token": "863aadf3-3cbe-4ba6-ad01-5c3edb05a669",
        "parent": {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "legacyId": "123e4567",
          "currency": "EUR",
          "firstname": "John",
          "lastname": "Doe",
          "phoneNumber": "+33 6 12 34 56 78",
          "emails": [
            "john.doe@example.com"
          ],
          "billingAddress": {
            "line1": "10 Rue Lecourbe",
            "line2": "Apartment 4B",
            "city": "Paris",
            "zipCode": "75015",
            "country": "FR"
          },
          "deliveryAddress": {
            "line1": "10 Rue Lecourbe",
            "line2": "Apartment 4B",
            "city": "Paris",
            "zipCode": "75015",
            "country": "FR"
          },
          "deliveryAddressIsSame": true,
          "language": "fr",
          "name": "John Doe",
          "commercialName": "Doe Enterprises",
          "siren": "123 456 789",
          "siret": "123 456 789 00012",
          "nafCode": "62.02A",
          "vatNumber": "FR12345678900",
          "token": "863aadf3-3cbe-4ba6-ad01-5c3edb05a669",
          "parent": {
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "legacyId": "123e4567",
            "currency": "EUR",
            "firstname": "John",
            "lastname": "Doe",
            "phoneNumber": "+33 6 12 34 56 78",
            "emails": [
              "john.doe@example.com"
            ],
            "billingAddress": {
              "line1": "10 Rue Lecourbe",
              "line2": "Apartment 4B",
              "city": "Paris",
              "zipCode": "75015",
              "country": "FR"
            },
            "deliveryAddress": {
              "line1": "10 Rue Lecourbe",
              "line2": "Apartment 4B",
              "city": "Paris",
              "zipCode": "75015",
              "country": "FR"
            },
            "deliveryAddressIsSame": true,
            "language": "fr",
            "name": "John Doe",
            "commercialName": "Doe Enterprises",
            "siren": "123 456 789",
            "siret": "123 456 789 00012",
            "nafCode": "62.02A",
            "vatNumber": "FR12345678900",
            "token": "863aadf3-3cbe-4ba6-ad01-5c3edb05a669",
            "parent": "[Circular Reference]",
            "contactId": "123e4567-e89b-12d3-a456-426614174001",
            "organizationId": "123e4567-e89b-12d3-a456-426614174002",
            "isDefault": true,
            "test": false
          },
          "contactId": "123e4567-e89b-12d3-a456-426614174001",
          "organizationId": "123e4567-e89b-12d3-a456-426614174002",
          "isDefault": true,
          "test": false
        },
        "contactId": "123e4567-e89b-12d3-a456-426614174001",
        "organizationId": "123e4567-e89b-12d3-a456-426614174002",
        "isDefault": true,
        "test": false
      },
      "locale": "fr",
      "emittedAt": 1617187200,
      "archivedAt": 1617360000,
      "opportunity": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "Big Sale Opportunity"
      },
      "locked": false,
      "finalizable": true,
      "test": true,
      "isEditable": true,
      "currencyCode": "EUR",
      "currency": {
        "currencyCode": "EUR",
        "currencyDate": 1617187200,
        "currencyRate": 1.2,
        "origin": "ECB"
      },
      "lastDownloadAt": 1617619200,
      "attachments": [
        {
          "id": "text",
          "name": "text",
          "extension": "text",
          "mimeType": "text",
          "url": "text",
          "relativeUrl": "text",
          "isCertified": true,
          "isCertifiable": true
        }
      ],
      "finalizeRequirements": [
        {
          "name": "hasValidAmount",
          "message": "Le montant de la somme des avoirs ne peut pas être supérieur au montant total de la facture."
        }
      ],
      "warnings": [
        {
          "title": "Titre du warning.",
          "message": "Message de warning en français."
        }
      ],
      "emitter": {
        "name": "John Doe Enterprise",
        "fullName": "John Doe",
        "email": "john.doe@example.com",
        "phone": "+33 6 12 34 56 78",
        "commercialName": "Le magasin de John Doe",
        "siret": "12345678901234567890",
        "vatNumber": "FR12345678901234",
        "rcsNumber": "RCS Paris 552 100 554",
        "rsacNumber": "RSAC Paris 552 100 554",
        "legalStatus": "ei",
        "sapAgreementNumber": "SAP123456789",
        "hasVat": true
      },
      "bankInformation": {
        "bic": "12345678901234567890",
        "iban": "12345678901234567890",
        "holder": "John Doe"
      },
      "billingLegals": {
        "headerNote": "Header note",
        "footerNote": "Footer note",
        "generalTermsAndConditionsOfSale": "General terms and conditions",
        "mentionMediator": "Mention mediateur",
        "vatMention": "not_subject",
        "paymentMethods": [
          "credit_card",
          "direct_debit"
        ],
        "otherPaymentMethod": "Lydia"
      },
      "createdAt": 1617619200,
      "updatedAt": 1617619200,
      "deliveryDate": 1619865600,
      "compatibilityVersion": "V2",
      "isDeletable": false,
      "displayDeliveryAddress": true,
      "finalizedAt": 1617619200,
      "lastSendByEmailAt": 1617446400,
      "themeId": "123e4567-e89b-12d3-a456-426614174000",
      "paymentDelay": "at_reception",
      "dueAt": 1619865600,
      "paidAt": 1617273600,
      "lastReminderSentAt": 1617532800,
      "isReminderActivated": true,
      "designation": "Advance 10% of 1000€",
      "isOnlinePaymentActivated": true,
      "description": "Advance description",
      "total": {
        "amountWithoutTaxBeforeDiscount": 1100,
        "amountWithoutTaxAfterDiscount": 1000,
        "amountWithTaxAfterDiscount": 1200,
        "remainingAmountWithoutTax": 500,
        "remainingAmountWithTax": 600,
        "remainingReconciliateAmount": 600,
        "vatDetails": [
          {
            "vatCode": "FR_2000",
            "amount": 200,
            "vatRate": 20
          }
        ],
        "discountAmount": 100,
        "convertedAmounts": {
          "amountWithoutTaxBeforeDiscount": 1100,
          "amountWithoutTaxAfterDiscount": 1000,
          "amountWithTaxAfterDiscount": 1200,
          "remainingAmountWithoutTax": 500,
          "remainingAmountWithTax": 600,
          "remainingAmountToBill": 600,
          "vatDetails": [
            {
              "vatCode": "FR_2000",
              "amount": 200,
              "vatRate": 20
            }
          ],
          "discountAmount": 100,
          "billedAmountWithoutTax": 100,
          "billedAmountWithTax": 100,
          "remainingAmountWithoutTaxWithoutDisbursement": 100,
          "amountWithoutTaxBeforeDiscountWithoutDisbursement": 100
        }
      },
      "discount": {
        "mode": "PERCENTAGE",
        "amount": 1000
      },
      "displaySettings": {
        "displayFullName": true,
        "displayEmail": true,
        "displayPhoneNumber": true,
        "displaySAPAgreement": true,
        "displayLegalStatus": true,
        "displayRequiredMentionsProduct": true,
        "displayGoodForApproval": true,
        "displayMemberOfAnApprovedAssociation": true,
        "displayAbbyLogo": true,
        "displayTitle": true
      },
      "parent": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "number": "INV-2023-001",
        "title": "Invoice Title",
        "type": "invoice",
        "state": "paid",
        "customer": {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "legacyId": "123e4567",
          "currency": "EUR",
          "firstname": "John",
          "lastname": "Doe",
          "phoneNumber": "+33 6 12 34 56 78",
          "emails": [
            "john.doe@example.com"
          ],
          "billingAddress": {
            "line1": "10 Rue Lecourbe",
            "line2": "Apartment 4B",
            "city": "Paris",
            "zipCode": "75015",
            "country": "FR"
          },
          "deliveryAddress": {
            "line1": "10 Rue Lecourbe",
            "line2": "Apartment 4B",
            "city": "Paris",
            "zipCode": "75015",
            "country": "FR"
          },
          "deliveryAddressIsSame": true,
          "language": "fr",
          "name": "John Doe",
          "commercialName": "Doe Enterprises",
          "siren": "123 456 789",
          "siret": "123 456 789 00012",
          "nafCode": "62.02A",
          "vatNumber": "FR12345678900",
          "token": "863aadf3-3cbe-4ba6-ad01-5c3edb05a669",
          "parent": {
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "legacyId": "123e4567",
            "currency": "EUR",
            "firstname": "John",
            "lastname": "Doe",
            "phoneNumber": "+33 6 12 34 56 78",
            "emails": [
              "john.doe@example.com"
            ],
            "billingAddress": {
              "line1": "10 Rue Lecourbe",
              "line2": "Apartment 4B",
              "city": "Paris",
              "zipCode": "75015",
              "country": "FR"
            },
            "deliveryAddress": {
              "line1": "10 Rue Lecourbe",
              "line2": "Apartment 4B",
              "city": "Paris",
              "zipCode": "75015",
              "country": "FR"
            },
            "deliveryAddressIsSame": true,
            "language": "fr",
            "name": "John Doe",
            "commercialName": "Doe Enterprises",
            "siren": "123 456 789",
            "siret": "123 456 789 00012",
            "nafCode": "62.02A",
            "vatNumber": "FR12345678900",
            "token": "863aadf3-3cbe-4ba6-ad01-5c3edb05a669",
            "parent": {
              "id": "123e4567-e89b-12d3-a456-426614174000",
              "legacyId": "123e4567",
              "currency": "EUR",
              "firstname": "John",
              "lastname": "Doe",
              "phoneNumber": "+33 6 12 34 56 78",
              "emails": [
                "john.doe@example.com"
              ],
              "billingAddress": {
                "line1": "10 Rue Lecourbe",
                "line2": "Apartment 4B",
                "city": "Paris",
                "zipCode": "75015",
                "country": "FR"
              },
              "deliveryAddress": {
                "line1": "10 Rue Lecourbe",
                "line2": "Apartment 4B",
                "city": "Paris",
                "zipCode": "75015",
                "country": "FR"
              },
              "deliveryAddressIsSame": true,
              "language": "fr",
              "name": "John Doe",
              "commercialName": "Doe Enterprises",
              "siren": "123 456 789",
              "siret": "123 456 789 00012",
              "nafCode": "62.02A",
              "vatNumber": "FR12345678900",
              "token": "863aadf3-3cbe-4ba6-ad01-5c3edb05a669",
              "parent": "[Circular Reference]",
              "contactId": "123e4567-e89b-12d3-a456-426614174001",
              "organizationId": "123e4567-e89b-12d3-a456-426614174002",
              "isDefault": true,
              "test": false
            },
            "contactId": "123e4567-e89b-12d3-a456-426614174001",
            "organizationId": "123e4567-e89b-12d3-a456-426614174002",
            "isDefault": true,
            "test": false
          },
          "contactId": "123e4567-e89b-12d3-a456-426614174001",
          "organizationId": "123e4567-e89b-12d3-a456-426614174002",
          "isDefault": true,
          "test": false
        },
        "locale": "fr",
        "emittedAt": 1617187200,
        "archivedAt": 1617360000,
        "opportunity": {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "name": "Big Sale Opportunity"
        },
        "locked": false,
        "finalizable": true,
        "test": true,
        "isEditable": true,
        "currencyCode": "EUR",
        "currency": {
          "currencyCode": "EUR",
          "currencyDate": 1617187200,
          "currencyRate": 1.2,
          "origin": "ECB"
        },
        "lastDownloadAt": 1617619200,
        "attachments": [
          {
            "id": "text",
            "name": "text",
            "extension": "text",
            "mimeType": "text",
            "url": "text",
            "relativeUrl": "text",
            "isCertified": true,
            "isCertifiable": true
          }
        ],
        "finalizeRequirements": [
          {
            "name": "hasValidAmount",
            "message": "Le montant de la somme des avoirs ne peut pas être supérieur au montant total de la facture."
          }
        ],
        "warnings": [
          {
            "title": "Titre du warning.",
            "message": "Message de warning en français."
          }
        ],
        "emitter": {
          "name": "John Doe Enterprise",
          "fullName": "John Doe",
          "email": "john.doe@example.com",
          "phone": "+33 6 12 34 56 78",
          "commercialName": "Le magasin de John Doe",
          "siret": "12345678901234567890",
          "vatNumber": "FR12345678901234",
          "rcsNumber": "RCS Paris 552 100 554",
          "rsacNumber": "RSAC Paris 552 100 554",
          "legalStatus": "ei",
          "sapAgreementNumber": "SAP123456789",
          "hasVat": true
        },
        "bankInformation": {
          "bic": "12345678901234567890",
          "iban": "12345678901234567890",
          "holder": "John Doe"
        },
        "billingLegals": {
          "headerNote": "Header note",
          "footerNote": "Footer note",
          "generalTermsAndConditionsOfSale": "General terms and conditions",
          "mentionMediator": "Mention mediateur",
          "vatMention": "not_subject",
          "paymentMethods": [
            "credit_card",
            "direct_debit"
          ],
          "otherPaymentMethod": "Lydia"
        },
        "createdAt": 1617619200,
        "updatedAt": 1617619200,
        "deliveryDate": 1617619200,
        "compatibilityVersion": "V2",
        "isDeletable": true,
        "displayDeliveryAddress": true,
        "finalizedAt": 1617619200,
        "lastSendByEmailAt": 1617446400,
        "themeId": "123e4567-e89b-12d3-a456-426614174000",
        "paymentDelay": "at_reception",
        "expiredAt": 1619865600,
        "refusedAt": 1619865600,
        "signedAt": 1619865600,
        "lines": [
          {
            "generatedId": "123e4567-e89b-12d3-a456-426614174000",
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "unitPrice": 50,
            "unitPriceHT": 50,
            "productId": "123e4567-e89b-12d3-a456-426614174000",
            "quantity": 2,
            "quantityUnit": "hour",
            "designation": "Consulting Services",
            "reference": "CONS-001",
            "description": "Detailed description of the service",
            "isDeliveryOfGoods": true,
            "type": "commercial_or_craft_services",
            "vatCode": "FR_2000",
            "personalServiceActivity": "BRICOLAGE",
            "priceWithoutTaxBeforeDiscount": 100,
            "discountAmount": 1000,
            "discount": {
              "amount": 1000,
              "mode": "PERCENTAGE"
            },
            "priceWithoutTaxAfterDiscount": 90,
            "vatAmount": 18,
            "priceTotalTax": 108,
            "convertedAmounts": {
              "priceWithoutTaxBeforeDiscount": 100,
              "discountAmount": 10,
              "priceWithoutTaxAfterDiscount": 90,
              "vatAmount": 18,
              "priceTotalTax": 108
            },
            "isTaxIncluded": false
          }
        ],
        "total": {
          "amountWithoutTaxBeforeDiscount": 1100,
          "amountWithoutTaxAfterDiscount": 1000,
          "amountWithTaxAfterDiscount": 1200,
          "remainingAmountWithoutTax": 500,
          "remainingAmountWithTax": 600,
          "remainingAmountToBill": 600,
          "vatDetails": [
            {
              "vatCode": "FR_2000",
              "amount": 200,
              "vatRate": 20
            }
          ],
          "discountAmount": 100,
          "convertedAmounts": {
            "amountWithoutTaxBeforeDiscount": 1100,
            "amountWithoutTaxAfterDiscount": 1000,
            "amountWithTaxAfterDiscount": 1200,
            "remainingAmountWithoutTax": 500,
            "remainingAmountWithTax": 600,
            "remainingAmountToBill": 600,
            "vatDetails": [
              {
                "vatCode": "FR_2000",
                "amount": 200,
                "vatRate": 20
              }
            ],
            "discountAmount": 100,
            "billedAmountWithoutTax": 100,
            "billedAmountWithTax": 100,
            "remainingAmountWithoutTaxWithoutDisbursement": 100,
            "amountWithoutTaxBeforeDiscountWithoutDisbursement": 100
          },
          "billedAmountWithoutTax": 100,
          "billedAmountWithTax": 100,
          "amountWithoutTaxBeforeDiscountWithoutDisbursement": 100,
          "remainingAmountWithoutTaxWithoutDisbursement": 100
        },
        "discount": {
          "mode": "PERCENTAGE",
          "amount": 1000
        },
        "latePenalty": {
          "value": "three_time_legal_rate",
          "otherValue": "Trois fois le taux actuel en vigueur soit 6,2 %"
        },
        "lumpSumCompensation": {
          "value": "forty_euros",
          "otherValue": "Indemnité forfaitaire de 40€"
        },
        "discountAdvancePayment": {
          "value": "none",
          "otherValue": "Autre"
        },
        "displaySettings": {
          "displayFullName": true,
          "displayEmail": true,
          "displayPhoneNumber": true,
          "displaySAPAgreement": true,
          "displayLegalStatus": true,
          "displayRequiredMentionsProduct": true,
          "displayGoodForApproval": true,
          "displayMemberOfAnApprovedAssociation": true,
          "displayAbbyLogo": true,
          "displayTitle": true
        },
        "advances": [
          {
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "number": "INV-2023-001",
            "title": "Invoice Title",
            "type": "invoice",
            "state": "paid",
            "customer": "[Circular Reference]",
            "locale": "fr",
            "emittedAt": 1617187200,
            "archivedAt": 1617360000,
            "opportunity": {
              "id": "123e4567-e89b-12d3-a456-426614174000",
              "name": "Big Sale Opportunity"
            },
            "locked": false,
            "finalizable": true,
            "test": true,
            "isEditable": true,
            "currencyCode": "EUR",
            "currency": {
              "currencyCode": "EUR",
              "currencyDate": 1617187200,
              "currencyRate": 1.2,
              "origin": "ECB"
            },
            "lastDownloadAt": 1617619200,
            "attachments": [
              {
                "id": "text",
                "name": "text",
                "extension": "text",
                "mimeType": "text",
                "url": "text",
                "relativeUrl": "text",
                "isCertified": true,
                "isCertifiable": true
              }
            ],
            "finalizeRequirements": [
              {
                "name": "hasValidAmount",
                "message": "Le montant de la somme des avoirs ne peut pas être supérieur au montant total de la facture."
              }
            ],
            "warnings": [
              {
                "title": "Titre du warning.",
                "message": "Message de warning en français."
              }
            ],
            "emitter": {
              "name": "John Doe Enterprise",
              "fullName": "John Doe",
              "email": "john.doe@example.com",
              "phone": "+33 6 12 34 56 78",
              "commercialName": "Le magasin de John Doe",
              "siret": "12345678901234567890",
              "vatNumber": "FR12345678901234",
              "rcsNumber": "RCS Paris 552 100 554",
              "rsacNumber": "RSAC Paris 552 100 554",
              "legalStatus": "ei",
              "sapAgreementNumber": "SAP123456789",
              "hasVat": true
            },
            "bankInformation": {
              "bic": "12345678901234567890",
              "iban": "12345678901234567890",
              "holder": "John Doe"
            },
            "billingLegals": {
              "headerNote": "Header note",
              "footerNote": "Footer note",
              "generalTermsAndConditionsOfSale": "General terms and conditions",
              "mentionMediator": "Mention mediateur",
              "vatMention": "not_subject",
              "paymentMethods": [
                "credit_card",
                "direct_debit"
              ],
              "otherPaymentMethod": "Lydia"
            },
            "createdAt": 1617619200,
            "updatedAt": 1617619200,
            "deliveryDate": 1619865600,
            "compatibilityVersion": "V2",
            "isDeletable": false,
            "displayDeliveryAddress": true,
            "finalizedAt": 1617619200,
            "lastSendByEmailAt": 1617446400,
            "themeId": "123e4567-e89b-12d3-a456-426614174000",
            "paymentDelay": "at_reception",
            "dueAt": 1619865600,
            "paidAt": 1617273600,
            "lastReminderSentAt": 1617532800,
            "isReminderActivated": true,
            "designation": "Advance 10% of 1000€",
            "isOnlinePaymentActivated": true,
            "description": "Advance description",
            "total": {
              "amountWithoutTaxBeforeDiscount": 1100,
              "amountWithoutTaxAfterDiscount": 1000,
              "amountWithTaxAfterDiscount": 1200,
              "remainingAmountWithoutTax": 500,
              "remainingAmountWithTax": 600,
              "remainingReconciliateAmount": 600,
              "vatDetails": [
                {
                  "vatCode": "FR_2000",
                  "amount": 200,
                  "vatRate": 20
                }
              ],
              "discountAmount": 100,
              "convertedAmounts": {
                "amountWithoutTaxBeforeDiscount": 1100,
                "amountWithoutTaxAfterDiscount": 1000,
                "amountWithTaxAfterDiscount": 1200,
                "remainingAmountWithoutTax": 500,
                "remainingAmountWithTax": 600,
                "remainingAmountToBill": 600,
                "vatDetails": [
                  {
                    "vatCode": "FR_2000",
                    "amount": 200,
                    "vatRate": 20
                  }
                ],
                "discountAmount": 100,
                "billedAmountWithoutTax": 100,
                "billedAmountWithTax": 100,
                "remainingAmountWithoutTaxWithoutDisbursement": 100,
                "amountWithoutTaxBeforeDiscountWithoutDisbursement": 100
              }
            },
            "discount": {
              "mode": "PERCENTAGE",
              "amount": 1000
            },
            "displaySettings": {
              "displayFullName": true,
              "displayEmail": true,
              "displayPhoneNumber": true,
              "displaySAPAgreement": true,
              "displayLegalStatus": true,
              "displayRequiredMentionsProduct": true,
              "displayGoodForApproval": true,
              "displayMemberOfAnApprovedAssociation": true,
              "displayAbbyLogo": true,
              "displayTitle": true
            },
            "parent": "[Circular Reference]",
            "advanceMode": "AMOUNT",
            "advancePercentage": 10,
            "advanceAmount": 1000,
            "reminder": {
              "inCopy": true,
              "frequency": "on_due_date",
              "numberOfRemindersToSend": 3,
              "active": true,
              "recipients": [
                "john.doe@example.com"
              ]
            },
            "latePenalty": {
              "value": "three_time_legal_rate",
              "otherValue": "Trois fois le taux actuel en vigueur soit 6,2 %"
            },
            "lumpSumCompensation": {
              "value": "forty_euros",
              "otherValue": "Indemnité forfaitaire de 40€"
            },
            "discountAdvancePayment": {
              "value": "none",
              "otherValue": "Autre"
            },
            "hasAssociatedTransaction": false,
            "includeDisbursement": true,
            "canceledAt": 1617619200
          }
        ],
        "advanceEstimateLines": {
          "advances": [
            {
              "value": 100,
              "mode": "AMOUNT",
              "paymentCondition": "ORDER"
            },
            {
              "value": 25,
              "mode": "PERCENTAGE",
              "paymentCondition": "SIGNATURE"
            }
          ],
          "totals": {
            "totalAmountWithoutTax": 350,
            "totalAmountWithTax": 350,
            "remainingTotalAmountWithoutTax": 350,
            "remainingTotalAmountWithTax": 350
          },
          "convertedTotals": {
            "totalAmountWithoutTax": 350,
            "totalAmountWithTax": 350,
            "remainingTotalAmountWithoutTax": 350,
            "remainingTotalAmountWithTax": 350
          }
        },
        "withElectronicSignature": true,
        "electronicSignature": {
          "id": "12345678901234567890",
          "canceledAt": 1617619200,
          "procedureId": "12345678901234567890",
          "magicLink": "https://magic-link.com",
          "signedAt": 1617619200,
          "refusedAt": 1617619200,
          "status": "requested"
        },
        "dueAt": 1619865600,
        "electronicSignatureRequirements": [
          {
            "name": "hasNonEmptyCustomerContact",
            "message": "Vous devez sélectionner un contact à votre organisation cliente pour pouvoir activer la signature en ligne."
          }
        ],
        "hasFinalInvoice": true,
        "includeDiscountDisbursement": true
      },
      "advanceMode": "AMOUNT",
      "advancePercentage": 10,
      "advanceAmount": 1000,
      "reminder": {
        "inCopy": true,
        "frequency": "on_due_date",
        "numberOfRemindersToSend": 3,
        "active": true,
        "recipients": [
          "john.doe@example.com"
        ]
      },
      "latePenalty": {
        "value": "three_time_legal_rate",
        "otherValue": "Trois fois le taux actuel en vigueur soit 6,2 %"
      },
      "lumpSumCompensation": {
        "value": "forty_euros",
        "otherValue": "Indemnité forfaitaire de 40€"
      },
      "discountAdvancePayment": {
        "value": "none",
        "otherValue": "Autre"
      },
      "hasAssociatedTransaction": false,
      "includeDisbursement": true,
      "canceledAt": 1617619200
    }
  ],
  "refundAt": 1617187200,
  "latePenalty": {
    "value": "three_time_legal_rate",
    "otherValue": "Trois fois le taux actuel en vigueur soit 6,2 %"
  },
  "lumpSumCompensation": {
    "value": "forty_euros",
    "otherValue": "Indemnité forfaitaire de 40€"
  },
  "discountAdvancePayment": {
    "value": "none",
    "otherValue": "Autre"
  },
  "displaySettings": {
    "displayFullName": true,
    "displayEmail": true,
    "displayPhoneNumber": true,
    "displaySAPAgreement": true,
    "displayLegalStatus": true,
    "displayRequiredMentionsProduct": true,
    "displayMemberOfAnApprovedAssociation": true,
    "displayAbbyLogo": true,
    "displayTitle": true,
    "displayGoodForApproval": true,
    "displayEstimateNumber": true
  },
  "dueAt": 1619865600,
  "paymentDelay": "at_reception",
  "includeDiscountDisbursement": true
}

Pour annuler intégralement une facture en une seule opération, utilisez plutôt POST /v2/billing/invoice/{invoiceId}/cancel : l'avoir généré couvre la totalité de la facture et est directement finalisé.

Créer un avoir depuis un acompte

L'acompte doit être finalisé (un acompte en brouillon est refusé) et ne pas déjà avoir d'avoir associé.

Create asset from advance

post
Autorisations
AuthorizationstringRequis
Bearer authentication header of the form Bearer <token>.
Paramètres de chemin
advanceIdstringRequis

ID of the invoice to create asset from

Réponses
200

Asset created successfully

application/json
idstringRequisExample: 123e4567-e89b-12d3-a456-426614174000
numberstringOptionnelExample: INV-2023-001
titlestringOptionnel

Title of the billing document

Example: Invoice Title
typenumber · enumRequisValeurs possibles:
statestring · enumRequisValeurs possibles:
localestring · enumRequisValeurs possibles:
emittedAtnumberRequisExample: 1617187200
archivedAtnumberOptionnelExample: 1617360000
lockedbooleanOptionnelExample: false
finalizablebooleanRequisExample: true
testbooleanRequis
isEditablebooleanRequisExample: true
currencyCodestring · enumRequis

Preferred currency of the customer

Valeurs possibles:
lastDownloadAtnumberOptionnelExample: 1617619200
createdAtnumberRequisExample: 1617619200
updatedAtnumberRequisExample: 1617619200
deliveryDatenumberOptionnelExample: 1619865600
compatibilityVersionstring · enumRequisValeurs possibles:
isDeletablebooleanRequisExample: false
displayDeliveryAddressbooleanRequisExample: true
finalizedAtnumberOptionnelExample: 1617619200
lastSendByEmailAtnumberOptionnelExample: 1617619200
themeIdstringOptionnel

ID of the theme applied to this document when set

Example: 123e4567-e89b-12d3-a456-426614174000
parentone ofOptionnel
ou
refundAtnumberOptionnelExample: 1617187200
dueAtnumberOptionnelExample: 1619865600
paymentDelaystring · enumRequisValeurs possibles:
includeDiscountDisbursementbooleanRequisExample: true
post/v2/billing/advance/{advanceId}/asset
POST /v2/billing/advance/{advanceId}/asset HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "number": "INV-2023-001",
  "title": "Invoice Title",
  "type": "invoice",
  "state": "paid",
  "customer": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "legacyId": "123e4567",
    "currency": "EUR",
    "firstname": "John",
    "lastname": "Doe",
    "phoneNumber": "+33 6 12 34 56 78",
    "emails": [
      "john.doe@example.com"
    ],
    "billingAddress": {
      "line1": "10 Rue Lecourbe",
      "line2": "Apartment 4B",
      "city": "Paris",
      "zipCode": "75015",
      "country": "FR"
    },
    "deliveryAddress": {
      "line1": "10 Rue Lecourbe",
      "line2": "Apartment 4B",
      "city": "Paris",
      "zipCode": "75015",
      "country": "FR"
    },
    "deliveryAddressIsSame": true,
    "language": "fr",
    "name": "John Doe",
    "commercialName": "Doe Enterprises",
    "siren": "123 456 789",
    "siret": "123 456 789 00012",
    "nafCode": "62.02A",
    "vatNumber": "FR12345678900",
    "token": "863aadf3-3cbe-4ba6-ad01-5c3edb05a669",
    "parent": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "legacyId": "123e4567",
      "currency": "EUR",
      "firstname": "John",
      "lastname": "Doe",
      "phoneNumber": "+33 6 12 34 56 78",
      "emails": [
        "john.doe@example.com"
      ],
      "billingAddress": {
        "line1": "10 Rue Lecourbe",
        "line2": "Apartment 4B",
        "city": "Paris",
        "zipCode": "75015",
        "country": "FR"
      },
      "deliveryAddress": {
        "line1": "10 Rue Lecourbe",
        "line2": "Apartment 4B",
        "city": "Paris",
        "zipCode": "75015",
        "country": "FR"
      },
      "deliveryAddressIsSame": true,
      "language": "fr",
      "name": "John Doe",
      "commercialName": "Doe Enterprises",
      "siren": "123 456 789",
      "siret": "123 456 789 00012",
      "nafCode": "62.02A",
      "vatNumber": "FR12345678900",
      "token": "863aadf3-3cbe-4ba6-ad01-5c3edb05a669",
      "parent": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "legacyId": "123e4567",
        "currency": "EUR",
        "firstname": "John",
        "lastname": "Doe",
        "phoneNumber": "+33 6 12 34 56 78",
        "emails": [
          "john.doe@example.com"
        ],
        "billingAddress": {
          "line1": "10 Rue Lecourbe",
          "line2": "Apartment 4B",
          "city": "Paris",
          "zipCode": "75015",
          "country": "FR"
        },
        "deliveryAddress": {
          "line1": "10 Rue Lecourbe",
          "line2": "Apartment 4B",
          "city": "Paris",
          "zipCode": "75015",
          "country": "FR"
        },
        "deliveryAddressIsSame": true,
        "language": "fr",
        "name": "John Doe",
        "commercialName": "Doe Enterprises",
        "siren": "123 456 789",
        "siret": "123 456 789 00012",
        "nafCode": "62.02A",
        "vatNumber": "FR12345678900",
        "token": "863aadf3-3cbe-4ba6-ad01-5c3edb05a669",
        "parent": "[Circular Reference]",
        "contactId": "123e4567-e89b-12d3-a456-426614174001",
        "organizationId": "123e4567-e89b-12d3-a456-426614174002",
        "isDefault": true,
        "test": false
      },
      "contactId": "123e4567-e89b-12d3-a456-426614174001",
      "organizationId": "123e4567-e89b-12d3-a456-426614174002",
      "isDefault": true,
      "test": false
    },
    "contactId": "123e4567-e89b-12d3-a456-426614174001",
    "organizationId": "123e4567-e89b-12d3-a456-426614174002",
    "isDefault": true,
    "test": false
  },
  "locale": "fr",
  "emittedAt": 1617187200,
  "archivedAt": 1617360000,
  "opportunity": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "Big Sale Opportunity"
  },
  "locked": false,
  "finalizable": true,
  "test": true,
  "isEditable": true,
  "currencyCode": "EUR",
  "currency": {
    "currencyCode": "EUR",
    "currencyDate": 1617187200,
    "currencyRate": 1.2,
    "origin": "ECB"
  },
  "lastDownloadAt": 1617619200,
  "attachments": [
    {
      "id": "text",
      "name": "text",
      "extension": "text",
      "mimeType": "text",
      "url": "text",
      "relativeUrl": "text",
      "isCertified": true,
      "isCertifiable": true
    }
  ],
  "finalizeRequirements": [
    {
      "name": "hasValidAmount",
      "message": "Le montant de la somme des avoirs ne peut pas être supérieur au montant total de la facture."
    }
  ],
  "warnings": [
    {
      "title": "Titre du warning.",
      "message": "Message de warning en français."
    }
  ],
  "emitter": {
    "name": "John Doe Enterprise",
    "fullName": "John Doe",
    "email": "john.doe@example.com",
    "phone": "+33 6 12 34 56 78",
    "commercialName": "Le magasin de John Doe",
    "siret": "12345678901234567890",
    "vatNumber": "FR12345678901234",
    "rcsNumber": "RCS Paris 552 100 554",
    "rsacNumber": "RSAC Paris 552 100 554",
    "legalStatus": "ei",
    "sapAgreementNumber": "SAP123456789",
    "hasVat": true
  },
  "bankInformation": {
    "bic": "12345678901234567890",
    "iban": "12345678901234567890",
    "holder": "John Doe"
  },
  "billingLegals": {
    "headerNote": "Header note",
    "footerNote": "Footer note",
    "generalTermsAndConditionsOfSale": "General terms and conditions",
    "mentionMediator": "Mention mediateur",
    "vatMention": "not_subject",
    "paymentMethods": [
      "credit_card",
      "direct_debit"
    ],
    "otherPaymentMethod": "Lydia"
  },
  "createdAt": 1617619200,
  "updatedAt": 1617619200,
  "deliveryDate": 1619865600,
  "compatibilityVersion": "V2",
  "isDeletable": false,
  "displayDeliveryAddress": true,
  "finalizedAt": 1617619200,
  "lastSendByEmailAt": 1617619200,
  "themeId": "123e4567-e89b-12d3-a456-426614174000",
  "lines": [
    {
      "generatedId": "123e4567-e89b-12d3-a456-426614174000",
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "unitPrice": 50,
      "unitPriceHT": 50,
      "productId": "123e4567-e89b-12d3-a456-426614174000",
      "quantity": 2,
      "quantityUnit": "hour",
      "designation": "Consulting Services",
      "reference": "CONS-001",
      "description": "Detailed description of the service",
      "isDeliveryOfGoods": true,
      "type": "commercial_or_craft_services",
      "vatCode": "FR_2000",
      "personalServiceActivity": "BRICOLAGE",
      "priceWithoutTaxBeforeDiscount": 100,
      "discountAmount": 1000,
      "discount": {
        "amount": 1000,
        "mode": "PERCENTAGE"
      },
      "priceWithoutTaxAfterDiscount": 90,
      "vatAmount": 18,
      "priceTotalTax": 108,
      "convertedAmounts": {
        "priceWithoutTaxBeforeDiscount": 100,
        "discountAmount": 10,
        "priceWithoutTaxAfterDiscount": 90,
        "vatAmount": 18,
        "priceTotalTax": 108
      },
      "isTaxIncluded": false
    }
  ],
  "total": {
    "amountWithoutTaxBeforeDiscount": 1100,
    "amountWithoutTaxAfterDiscount": 1000,
    "amountWithTaxAfterDiscount": 1200,
    "remainingAmountWithoutTax": 500,
    "remainingAmountWithTax": 600,
    "remainingReconciliateAmount": 600,
    "discountAmount": 100,
    "vatDetails": [
      {
        "vatCode": "FR_2000",
        "amount": 200,
        "vatRate": 20
      }
    ],
    "amountWithoutTaxBeforeDiscountWithoutDisbursement": 100,
    "convertedAmounts": {
      "amountWithoutTaxBeforeDiscount": 1100,
      "amountWithoutTaxAfterDiscount": 1000,
      "amountWithTaxAfterDiscount": 1200,
      "remainingAmountWithoutTax": 500,
      "remainingAmountWithTax": 600,
      "remainingReconciliateAmount": 600,
      "discountAmount": 100,
      "vatDetails": [
        {
          "vatCode": "FR_2000",
          "amount": 200,
          "vatRate": 20
        }
      ],
      "amountWithoutTaxBeforeDiscountWithoutDisbursement": 100
    }
  },
  "discount": {
    "mode": "PERCENTAGE",
    "amount": 1000
  },
  "parent": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "number": "INV-2023-001",
    "title": "Invoice Title",
    "type": "invoice",
    "state": "paid",
    "customer": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "legacyId": "123e4567",
      "currency": "EUR",
      "firstname": "John",
      "lastname": "Doe",
      "phoneNumber": "+33 6 12 34 56 78",
      "emails": [
        "john.doe@example.com"
      ],
      "billingAddress": {
        "line1": "10 Rue Lecourbe",
        "line2": "Apartment 4B",
        "city": "Paris",
        "zipCode": "75015",
        "country": "FR"
      },
      "deliveryAddress": {
        "line1": "10 Rue Lecourbe",
        "line2": "Apartment 4B",
        "city": "Paris",
        "zipCode": "75015",
        "country": "FR"
      },
      "deliveryAddressIsSame": true,
      "language": "fr",
      "name": "John Doe",
      "commercialName": "Doe Enterprises",
      "siren": "123 456 789",
      "siret": "123 456 789 00012",
      "nafCode": "62.02A",
      "vatNumber": "FR12345678900",
      "token": "863aadf3-3cbe-4ba6-ad01-5c3edb05a669",
      "parent": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "legacyId": "123e4567",
        "currency": "EUR",
        "firstname": "John",
        "lastname": "Doe",
        "phoneNumber": "+33 6 12 34 56 78",
        "emails": [
          "john.doe@example.com"
        ],
        "billingAddress": {
          "line1": "10 Rue Lecourbe",
          "line2": "Apartment 4B",
          "city": "Paris",
          "zipCode": "75015",
          "country": "FR"
        },
        "deliveryAddress": {
          "line1": "10 Rue Lecourbe",
          "line2": "Apartment 4B",
          "city": "Paris",
          "zipCode": "75015",
          "country": "FR"
        },
        "deliveryAddressIsSame": true,
        "language": "fr",
        "name": "John Doe",
        "commercialName": "Doe Enterprises",
        "siren": "123 456 789",
        "siret": "123 456 789 00012",
        "nafCode": "62.02A",
        "vatNumber": "FR12345678900",
        "token": "863aadf3-3cbe-4ba6-ad01-5c3edb05a669",
        "parent": {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "legacyId": "123e4567",
          "currency": "EUR",
          "firstname": "John",
          "lastname": "Doe",
          "phoneNumber": "+33 6 12 34 56 78",
          "emails": [
            "john.doe@example.com"
          ],
          "billingAddress": {
            "line1": "10 Rue Lecourbe",
            "line2": "Apartment 4B",
            "city": "Paris",
            "zipCode": "75015",
            "country": "FR"
          },
          "deliveryAddress": {
            "line1": "10 Rue Lecourbe",
            "line2": "Apartment 4B",
            "city": "Paris",
            "zipCode": "75015",
            "country": "FR"
          },
          "deliveryAddressIsSame": true,
          "language": "fr",
          "name": "John Doe",
          "commercialName": "Doe Enterprises",
          "siren": "123 456 789",
          "siret": "123 456 789 00012",
          "nafCode": "62.02A",
          "vatNumber": "FR12345678900",
          "token": "863aadf3-3cbe-4ba6-ad01-5c3edb05a669",
          "parent": "[Circular Reference]",
          "contactId": "123e4567-e89b-12d3-a456-426614174001",
          "organizationId": "123e4567-e89b-12d3-a456-426614174002",
          "isDefault": true,
          "test": false
        },
        "contactId": "123e4567-e89b-12d3-a456-426614174001",
        "organizationId": "123e4567-e89b-12d3-a456-426614174002",
        "isDefault": true,
        "test": false
      },
      "contactId": "123e4567-e89b-12d3-a456-426614174001",
      "organizationId": "123e4567-e89b-12d3-a456-426614174002",
      "isDefault": true,
      "test": false
    },
    "locale": "fr",
    "emittedAt": 1617187200,
    "archivedAt": 1617360000,
    "opportunity": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "Big Sale Opportunity"
    },
    "locked": false,
    "finalizable": true,
    "test": true,
    "isEditable": true,
    "currencyCode": "EUR",
    "currency": {
      "currencyCode": "EUR",
      "currencyDate": 1617187200,
      "currencyRate": 1.2,
      "origin": "ECB"
    },
    "lastDownloadAt": 1617619200,
    "attachments": [
      {
        "id": "text",
        "name": "text",
        "extension": "text",
        "mimeType": "text",
        "url": "text",
        "relativeUrl": "text",
        "isCertified": true,
        "isCertifiable": true
      }
    ],
    "finalizeRequirements": [
      {
        "name": "hasValidAmount",
        "message": "Le montant de la somme des avoirs ne peut pas être supérieur au montant total de la facture."
      }
    ],
    "warnings": [
      {
        "title": "Titre du warning.",
        "message": "Message de warning en français."
      }
    ],
    "emitter": {
      "name": "John Doe Enterprise",
      "fullName": "John Doe",
      "email": "john.doe@example.com",
      "phone": "+33 6 12 34 56 78",
      "commercialName": "Le magasin de John Doe",
      "siret": "12345678901234567890",
      "vatNumber": "FR12345678901234",
      "rcsNumber": "RCS Paris 552 100 554",
      "rsacNumber": "RSAC Paris 552 100 554",
      "legalStatus": "ei",
      "sapAgreementNumber": "SAP123456789",
      "hasVat": true
    },
    "bankInformation": {
      "bic": "12345678901234567890",
      "iban": "12345678901234567890",
      "holder": "John Doe"
    },
    "billingLegals": {
      "headerNote": "Header note",
      "footerNote": "Footer note",
      "generalTermsAndConditionsOfSale": "General terms and conditions",
      "mentionMediator": "Mention mediateur",
      "vatMention": "not_subject",
      "paymentMethods": [
        "credit_card",
        "direct_debit"
      ],
      "otherPaymentMethod": "Lydia"
    },
    "createdAt": 1617619200,
    "updatedAt": 1617619200,
    "deliveryDate": 1619865600,
    "compatibilityVersion": "V2",
    "isDeletable": false,
    "displayDeliveryAddress": true,
    "finalizedAt": 1617619200,
    "lastSendByEmailAt": 1617446400,
    "themeId": "123e4567-e89b-12d3-a456-426614174000",
    "paymentDelay": "at_reception",
    "dueAt": 1619865600,
    "paidAt": 1617273600,
    "lastReminderSentAt": 1617532800,
    "isReminderActivated": true,
    "isOnlinePaymentActivated": true,
    "isFinalInvoice": true,
    "lines": [
      {
        "generatedId": "123e4567-e89b-12d3-a456-426614174000",
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "unitPrice": 50,
        "unitPriceHT": 50,
        "productId": "123e4567-e89b-12d3-a456-426614174000",
        "quantity": 2,
        "quantityUnit": "hour",
        "designation": "Consulting Services",
        "reference": "CONS-001",
        "description": "Detailed description of the service",
        "isDeliveryOfGoods": true,
        "type": "commercial_or_craft_services",
        "vatCode": "FR_2000",
        "personalServiceActivity": "BRICOLAGE",
        "priceWithoutTaxBeforeDiscount": 100,
        "discountAmount": 1000,
        "discount": {
          "amount": 1000,
          "mode": "PERCENTAGE"
        },
        "priceWithoutTaxAfterDiscount": 90,
        "vatAmount": 18,
        "priceTotalTax": 108,
        "convertedAmounts": {
          "priceWithoutTaxBeforeDiscount": 100,
          "discountAmount": 10,
          "priceWithoutTaxAfterDiscount": 90,
          "vatAmount": 18,
          "priceTotalTax": 108
        },
        "isTaxIncluded": false
      }
    ],
    "total": {
      "amountWithoutTaxBeforeDiscount": 1100,
      "amountWithoutTaxAfterDiscount": 1000,
      "amountWithTaxAfterDiscount": 1200,
      "remainingAmountWithoutTax": 500,
      "remainingAmountWithTax": 600,
      "remainingReconciliateAmount": 600,
      "discountAmount": 100,
      "vatDetails": [
        {
          "vatCode": "FR_2000",
          "amount": 200,
          "vatRate": 20
        }
      ],
      "amountWithoutTaxBeforeDiscountWithoutDisbursement": 100,
      "convertedAmounts": {
        "amountWithoutTaxBeforeDiscount": 1100,
        "amountWithoutTaxAfterDiscount": 1000,
        "amountWithTaxAfterDiscount": 1200,
        "remainingAmountWithoutTax": 500,
        "remainingAmountWithTax": 600,
        "remainingReconciliateAmount": 600,
        "discountAmount": 100,
        "vatDetails": [
          {
            "vatCode": "FR_2000",
            "amount": 200,
            "vatRate": 20
          }
        ],
        "amountWithoutTaxBeforeDiscountWithoutDisbursement": 100
      }
    },
    "reminder": {
      "inCopy": true,
      "frequency": "every_week",
      "numberOfRemindersToSend": 3,
      "active": true,
      "recipients": [
        "text"
      ]
    },
    "discount": {
      "mode": "PERCENTAGE",
      "amount": 1000
    },
    "latePenalty": {
      "value": "three_time_legal_rate",
      "otherValue": "Trois fois le taux actuel en vigueur soit 6,2 %"
    },
    "lumpSumCompensation": {
      "value": "forty_euros",
      "otherValue": "Indemnité forfaitaire de 40€"
    },
    "discountAdvancePayment": {
      "value": "none",
      "otherValue": "Autre"
    },
    "displaySettings": {
      "displayFullName": true,
      "displayEmail": true,
      "displayPhoneNumber": true,
      "displaySAPAgreement": true,
      "displayLegalStatus": true,
      "displayRequiredMentionsProduct": true,
      "displayMemberOfAnApprovedAssociation": true,
      "displayAbbyLogo": true,
      "displayTitle": true,
      "displayGoodForApproval": true,
      "displayEstimateNumber": true
    },
    "paymentRequest": {
      "idDemandePaiement": "123e4567-e89b-12d3-a456-426614174000",
      "dateDebutEmploi": 1736408178,
      "dateFinEmploi": 1736408178,
      "dateVirement": 1736408178,
      "advanceAlreadyPayed": "400",
      "advancePaymentDate": 1736408178,
      "mntVirement": "1200",
      "statut": "112"
    },
    "parent": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "number": "INV-2023-001",
      "title": "Invoice Title",
      "type": "invoice",
      "state": "paid",
      "customer": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "legacyId": "123e4567",
        "currency": "EUR",
        "firstname": "John",
        "lastname": "Doe",
        "phoneNumber": "+33 6 12 34 56 78",
        "emails": [
          "john.doe@example.com"
        ],
        "billingAddress": {
          "line1": "10 Rue Lecourbe",
          "line2": "Apartment 4B",
          "city": "Paris",
          "zipCode": "75015",
          "country": "FR"
        },
        "deliveryAddress": {
          "line1": "10 Rue Lecourbe",
          "line2": "Apartment 4B",
          "city": "Paris",
          "zipCode": "75015",
          "country": "FR"
        },
        "deliveryAddressIsSame": true,
        "language": "fr",
        "name": "John Doe",
        "commercialName": "Doe Enterprises",
        "siren": "123 456 789",
        "siret": "123 456 789 00012",
        "nafCode": "62.02A",
        "vatNumber": "FR12345678900",
        "token": "863aadf3-3cbe-4ba6-ad01-5c3edb05a669",
        "parent": {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "legacyId": "123e4567",
          "currency": "EUR",
          "firstname": "John",
          "lastname": "Doe",
          "phoneNumber": "+33 6 12 34 56 78",
          "emails": [
            "john.doe@example.com"
          ],
          "billingAddress": {
            "line1": "10 Rue Lecourbe",
            "line2": "Apartment 4B",
            "city": "Paris",
            "zipCode": "75015",
            "country": "FR"
          },
          "deliveryAddress": {
            "line1": "10 Rue Lecourbe",
            "line2": "Apartment 4B",
            "city": "Paris",
            "zipCode": "75015",
            "country": "FR"
          },
          "deliveryAddressIsSame": true,
          "language": "fr",
          "name": "John Doe",
          "commercialName": "Doe Enterprises",
          "siren": "123 456 789",
          "siret": "123 456 789 00012",
          "nafCode": "62.02A",
          "vatNumber": "FR12345678900",
          "token": "863aadf3-3cbe-4ba6-ad01-5c3edb05a669",
          "parent": {
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "legacyId": "123e4567",
            "currency": "EUR",
            "firstname": "John",
            "lastname": "Doe",
            "phoneNumber": "+33 6 12 34 56 78",
            "emails": [
              "john.doe@example.com"
            ],
            "billingAddress": {
              "line1": "10 Rue Lecourbe",
              "line2": "Apartment 4B",
              "city": "Paris",
              "zipCode": "75015",
              "country": "FR"
            },
            "deliveryAddress": {
              "line1": "10 Rue Lecourbe",
              "line2": "Apartment 4B",
              "city": "Paris",
              "zipCode": "75015",
              "country": "FR"
            },
            "deliveryAddressIsSame": true,
            "language": "fr",
            "name": "John Doe",
            "commercialName": "Doe Enterprises",
            "siren": "123 456 789",
            "siret": "123 456 789 00012",
            "nafCode": "62.02A",
            "vatNumber": "FR12345678900",
            "token": "863aadf3-3cbe-4ba6-ad01-5c3edb05a669",
            "parent": "[Circular Reference]",
            "contactId": "123e4567-e89b-12d3-a456-426614174001",
            "organizationId": "123e4567-e89b-12d3-a456-426614174002",
            "isDefault": true,
            "test": false
          },
          "contactId": "123e4567-e89b-12d3-a456-426614174001",
          "organizationId": "123e4567-e89b-12d3-a456-426614174002",
          "isDefault": true,
          "test": false
        },
        "contactId": "123e4567-e89b-12d3-a456-426614174001",
        "organizationId": "123e4567-e89b-12d3-a456-426614174002",
        "isDefault": true,
        "test": false
      },
      "locale": "fr",
      "emittedAt": 1617187200,
      "archivedAt": 1617360000,
      "opportunity": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "Big Sale Opportunity"
      },
      "locked": false,
      "finalizable": true,
      "test": true,
      "isEditable": true,
      "currencyCode": "EUR",
      "currency": {
        "currencyCode": "EUR",
        "currencyDate": 1617187200,
        "currencyRate": 1.2,
        "origin": "ECB"
      },
      "lastDownloadAt": 1617619200,
      "attachments": [
        {
          "id": "text",
          "name": "text",
          "extension": "text",
          "mimeType": "text",
          "url": "text",
          "relativeUrl": "text",
          "isCertified": true,
          "isCertifiable": true
        }
      ],
      "finalizeRequirements": [
        {
          "name": "hasValidAmount",
          "message": "Le montant de la somme des avoirs ne peut pas être supérieur au montant total de la facture."
        }
      ],
      "warnings": [
        {
          "title": "Titre du warning.",
          "message": "Message de warning en français."
        }
      ],
      "emitter": {
        "name": "John Doe Enterprise",
        "fullName": "John Doe",
        "email": "john.doe@example.com",
        "phone": "+33 6 12 34 56 78",
        "commercialName": "Le magasin de John Doe",
        "siret": "12345678901234567890",
        "vatNumber": "FR12345678901234",
        "rcsNumber": "RCS Paris 552 100 554",
        "rsacNumber": "RSAC Paris 552 100 554",
        "legalStatus": "ei",
        "sapAgreementNumber": "SAP123456789",
        "hasVat": true
      },
      "bankInformation": {
        "bic": "12345678901234567890",
        "iban": "12345678901234567890",
        "holder": "John Doe"
      },
      "billingLegals": {
        "headerNote": "Header note",
        "footerNote": "Footer note",
        "generalTermsAndConditionsOfSale": "General terms and conditions",
        "mentionMediator": "Mention mediateur",
        "vatMention": "not_subject",
        "paymentMethods": [
          "credit_card",
          "direct_debit"
        ],
        "otherPaymentMethod": "Lydia"
      },
      "createdAt": 1617619200,
      "updatedAt": 1617619200,
      "deliveryDate": 1617619200,
      "compatibilityVersion": "V2",
      "isDeletable": true,
      "displayDeliveryAddress": true,
      "finalizedAt": 1617619200,
      "lastSendByEmailAt": 1617446400,
      "themeId": "123e4567-e89b-12d3-a456-426614174000",
      "paymentDelay": "at_reception",
      "expiredAt": 1619865600,
      "refusedAt": 1619865600,
      "signedAt": 1619865600,
      "lines": [
        {
          "generatedId": "123e4567-e89b-12d3-a456-426614174000",
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "unitPrice": 50,
          "unitPriceHT": 50,
          "productId": "123e4567-e89b-12d3-a456-426614174000",
          "quantity": 2,
          "quantityUnit": "hour",
          "designation": "Consulting Services",
          "reference": "CONS-001",
          "description": "Detailed description of the service",
          "isDeliveryOfGoods": true,
          "type": "commercial_or_craft_services",
          "vatCode": "FR_2000",
          "personalServiceActivity": "BRICOLAGE",
          "priceWithoutTaxBeforeDiscount": 100,
          "discountAmount": 1000,
          "discount": {
            "amount": 1000,
            "mode": "PERCENTAGE"
          },
          "priceWithoutTaxAfterDiscount": 90,
          "vatAmount": 18,
          "priceTotalTax": 108,
          "convertedAmounts": {
            "priceWithoutTaxBeforeDiscount": 100,
            "discountAmount": 10,
            "priceWithoutTaxAfterDiscount": 90,
            "vatAmount": 18,
            "priceTotalTax": 108
          },
          "isTaxIncluded": false
        }
      ],
      "total": {
        "amountWithoutTaxBeforeDiscount": 1100,
        "amountWithoutTaxAfterDiscount": 1000,
        "amountWithTaxAfterDiscount": 1200,
        "remainingAmountWithoutTax": 500,
        "remainingAmountWithTax": 600,
        "remainingAmountToBill": 600,
        "vatDetails": [
          {
            "vatCode": "FR_2000",
            "amount": 200,
            "vatRate": 20
          }
        ],
        "discountAmount": 100,
        "convertedAmounts": {
          "amountWithoutTaxBeforeDiscount": 1100,
          "amountWithoutTaxAfterDiscount": 1000,
          "amountWithTaxAfterDiscount": 1200,
          "remainingAmountWithoutTax": 500,
          "remainingAmountWithTax": 600,
          "remainingAmountToBill": 600,
          "vatDetails": [
            {
              "vatCode": "FR_2000",
              "amount": 200,
              "vatRate": 20
            }
          ],
          "discountAmount": 100,
          "billedAmountWithoutTax": 100,
          "billedAmountWithTax": 100,
          "remainingAmountWithoutTaxWithoutDisbursement": 100,
          "amountWithoutTaxBeforeDiscountWithoutDisbursement": 100
        },
        "billedAmountWithoutTax": 100,
        "billedAmountWithTax": 100,
        "amountWithoutTaxBeforeDiscountWithoutDisbursement": 100,
        "remainingAmountWithoutTaxWithoutDisbursement": 100
      },
      "discount": {
        "mode": "PERCENTAGE",
        "amount": 1000
      },
      "latePenalty": {
        "value": "three_time_legal_rate",
        "otherValue": "Trois fois le taux actuel en vigueur soit 6,2 %"
      },
      "lumpSumCompensation": {
        "value": "forty_euros",
        "otherValue": "Indemnité forfaitaire de 40€"
      },
      "discountAdvancePayment": {
        "value": "none",
        "otherValue": "Autre"
      },
      "displaySettings": {
        "displayFullName": true,
        "displayEmail": true,
        "displayPhoneNumber": true,
        "displaySAPAgreement": true,
        "displayLegalStatus": true,
        "displayRequiredMentionsProduct": true,
        "displayGoodForApproval": true,
        "displayMemberOfAnApprovedAssociation": true,
        "displayAbbyLogo": true,
        "displayTitle": true
      },
      "advances": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "number": "INV-2023-001",
          "title": "Invoice Title",
          "type": "invoice",
          "state": "paid",
          "customer": "[Circular Reference]",
          "locale": "fr",
          "emittedAt": 1617187200,
          "archivedAt": 1617360000,
          "opportunity": {
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "name": "Big Sale Opportunity"
          },
          "locked": false,
          "finalizable": true,
          "test": true,
          "isEditable": true,
          "currencyCode": "EUR",
          "currency": {
            "currencyCode": "EUR",
            "currencyDate": 1617187200,
            "currencyRate": 1.2,
            "origin": "ECB"
          },
          "lastDownloadAt": 1617619200,
          "attachments": [
            {
              "id": "text",
              "name": "text",
              "extension": "text",
              "mimeType": "text",
              "url": "text",
              "relativeUrl": "text",
              "isCertified": true,
              "isCertifiable": true
            }
          ],
          "finalizeRequirements": [
            {
              "name": "hasValidAmount",
              "message": "Le montant de la somme des avoirs ne peut pas être supérieur au montant total de la facture."
            }
          ],
          "warnings": [
            {
              "title": "Titre du warning.",
              "message": "Message de warning en français."
            }
          ],
          "emitter": {
            "name": "John Doe Enterprise",
            "fullName": "John Doe",
            "email": "john.doe@example.com",
            "phone": "+33 6 12 34 56 78",
[...]
